Skip to content
View as Markdown

GET Get Contact Notes​

GET
/subscribers/{id}/notes

Retrieve a paginated list of notes for a contact. Supports searching notes by title. Each note includes the user who created it.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The contact ID.

Type
integer
Required

Query Parameters

search

Search notes by title.

Type
string
per_page

Number of notes per page.

Type
integer
Default
15
page

Page number.

Type
integer
Default
1

Responses​

Paginated list of notes.

application/json
JSON
{
"notes": {
"total": 0,
"per_page": 0,
"current_page": 0,
"last_page": 0,
"next_page_url": "string",
"prev_page_url": "string",
"from": 0,
"to": 0,
"data": [
{
"id": 0,
"subscriber_id": 0,
"title": "string",
"description": "string",
"type": "string",
"created_at": "string",
"updated_at": "string",
"added_by": "string"
}
]
},
"fields": {
"fields": [
{
}
]
}
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI